## sdlip
Interface Search

All Known Implementing Classes:
  BritannicaLSP, ClientTransportModule, SimpleLSP, SwitchBoardLSP, Z39LSP

public interface Search

This is the Java binding of the SDLIP Search interface.

Field Summary
`static int` `MAINTAIN_UNLIMITED`
`static int` `NOT_YET_KNOWN`
`static int` `RETURN_ALL_DOCS`
`static int` `UNKNOWABLE`

Method Summary
`void` `search(int clientSID, XMLObject subcols, XMLObject query, int numDocs, XMLObject docPropList, int stateTimeoutReq, XMLObject queryOptions, org.omg.CORBA.IntHolder expectedTotal, org.omg.CORBA.IntHolder stateTimeout, org.omg.CORBA.IntHolder serverSID, XMLObject serverDelegate, XMLObject result)`

Field Detail

### RETURN_ALL_DOCS

    public static final int RETURN_ALL_DOCS

See Also:
  Constant Field Values

### MAINTAIN_UNLIMITED

    public static final int MAINTAIN_UNLIMITED

See Also:
  Constant Field Values

### UNKNOWABLE

    public static final int UNKNOWABLE

See Also:
  Constant Field Values

### NOT_YET_KNOWN

    public static final int NOT_YET_KNOWN

See Also:
  Constant Field Values

Method Detail

### search

    public void search(int clientSID,
                       XMLObject subcols,
                       XMLObject query,
                       int numDocs,
                       XMLObject docPropList,
                       int stateTimeoutReq,
                       XMLObject queryOptions,
                       org.omg.CORBA.IntHolder expectedTotal,
                       org.omg.CORBA.IntHolder stateTimeout,
                       org.omg.CORBA.IntHolder serverSID,
                       XMLObject serverDelegate,
                       XMLObject result)
                throws SDLIPException

    `SDLIPException`